org.apache.felix.ipojo.handlers.providedservice

## Interface ProvidedServiceListener

    public interface ProvidedServiceListener

Listener interface for services provided by iPOJO component instances.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `serviceModified(ComponentInstance instance, ProvidedService providedService)` Called when the registered service has been updated.
`void` `serviceRegistered(ComponentInstance instance, ProvidedService providedService)` Called when the service has been registered.
`void` `serviceUnregistered(ComponentInstance instance, ProvidedService providedService)` Called when the service is unregistered.

### Method Detail

#### serviceRegistered

    void serviceRegistered(ComponentInstance instance,
                           ProvidedService providedService)

Called when the service has been registered.

Parameters:
  `instance` - the concerned component instance
  `providedService` - the registered service

#### serviceModified

    void serviceModified(ComponentInstance instance,
                         ProvidedService providedService)

Called when the registered service has been updated.

Parameters:
  `instance` - the concerned component instance
  `providedService` - the updated service

#### serviceUnregistered

    void serviceUnregistered(ComponentInstance instance,
                             ProvidedService providedService)

Called when the service is unregistered.

Parameters:
  `instance` - the concerned component instance
  `providedService` - the unregistered service